]> Pileus Git - ~andy/sunrise/commitdiff
app-misc/heyu: Version bump for bug 91396
authorSven Schwyn (svoop) <gentoo@bitcetera.com>
Fri, 12 Dec 2008 13:03:55 +0000 (13:03 +0000)
committerSven Schwyn (svoop) <gentoo@bitcetera.com>
Fri, 12 Dec 2008 13:03:55 +0000 (13:03 +0000)
svn path=/sunrise/; revision=7486

app-misc/heyu/ChangeLog
app-misc/heyu/Manifest
app-misc/heyu/files/2.4.0/heyu.init [new file with mode: 0644]
app-misc/heyu/heyu-2.4.0.ebuild [new file with mode: 0644]

index e540079e51077d6b7f63508ff3eb001c1d3430d5..a1d530e3350b06bbff921d209c767e1fb5ab7d2d 100644 (file)
@@ -2,6 +2,10 @@
 # Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+  12 Dec 2008; Sven Schwyn (svoop) <gentoo@bitcetera.com> +files/2.4.0,
+  +heyu-2.4.0.ebuild, +files/2.4.0/heyu.init:
+  Version bump for bug 91396
+
   23 Aug 2008; Thomas Beierlein (TomJBE) <tb@forth-ev.de> metadata.xml:
   Added USE flag description wrt GLEP 56
 
index 27663db076e3d422a5988fa137637ea7ffb5abc2..a1f4dd5e0ec5bdec492be354169fcb454e054871 100644 (file)
@@ -1,5 +1,8 @@
 AUX 2.3.2/heyu.init 386 RMD160 4d085a00c988fda52ec946913747c9b8f3036197 SHA1 c52f45f09834c6f43a58f2f97c2bdd5a4919980c SHA256 9a3a17980dd2722406de0a13bcb497f9b074c0e3566c607168fa3f8b72770e3a
+AUX 2.4.0/heyu.init 386 RMD160 4d085a00c988fda52ec946913747c9b8f3036197 SHA1 c52f45f09834c6f43a58f2f97c2bdd5a4919980c SHA256 9a3a17980dd2722406de0a13bcb497f9b074c0e3566c607168fa3f8b72770e3a
 DIST heyu-2.3.2.tgz 478683 RMD160 19da3478adfd6e06866fcf155f8bbe13d16f990d SHA1 4b1cf264a384931736ece72629d79f6c0c6102ab SHA256 71d382bcc9f8106f207686baac4225fa3cbde7f9349d973af5bd692fd03d3f04
+DIST heyu-2.4.0.tgz 487725 RMD160 e58e18fff4f59506cc9da46ad701273c5924176b SHA1 33c85b2653536e36244b1a093f8c2a96714e4540 SHA256 7a02c9774d9445bf9f5834b248a8aaffdb3f7a3791212845aa4ffbbebbd46bdc
 EBUILD heyu-2.3.2.ebuild 2463 RMD160 b822fff5663bf8ba0f3185bb9b5746195ae8c896 SHA1 26bd96d225de57d4196cacc9644be1d343eafa73 SHA256 e24baa26cd6d36b6503b911ab16640941f5e0bb1f1b6fdce4494ecc3699cda7f
-MISC ChangeLog 633 RMD160 3352668e9535c896c1173fca05ef65f4afd61050 SHA1 7e275221b0574d00b614346d02814005264e14f4 SHA256 6e192ff9b2e070b10e6c50b3708074375a500cef995683178f2fecaf23cf51d0
+EBUILD heyu-2.4.0.ebuild 2463 RMD160 b822fff5663bf8ba0f3185bb9b5746195ae8c896 SHA1 26bd96d225de57d4196cacc9644be1d343eafa73 SHA256 e24baa26cd6d36b6503b911ab16640941f5e0bb1f1b6fdce4494ecc3699cda7f
+MISC ChangeLog 781 RMD160 52ef449b68adf7aba8438987f8cfa9c921409635 SHA1 62d5308f889de96d5bbfe6de39a4bb9a8107a3b4 SHA256 9b3088d2c6d519f0257c2cc69be3e93e48e42915840f35adfdc3e56d9b030fbc
 MISC metadata.xml 1225 RMD160 9cc4a306989b21aadc2c46cbe77b49d94f5f7531 SHA1 01b5d2dfc5446f495689a0d1a8357982464e54fb SHA256 9b9ac8546a69802b4de3818d06e98c4738485d6634fb6375f087cb1ae2853a07
diff --git a/app-misc/heyu/files/2.4.0/heyu.init b/app-misc/heyu/files/2.4.0/heyu.init
new file mode 100644 (file)
index 0000000..e8ff76e
--- /dev/null
@@ -0,0 +1,24 @@
+#!/sbin/runscript
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+start() {
+       ebegin "Starting heyu"
+       mkdir /var/tmp/heyu 2>/dev/null
+       chmod a=rwx /var/tmp/heyu
+       /usr/bin/heyu start >/dev/null
+       eend $?
+}
+
+stop() {
+       ebegin "Stopping heyu"
+       /usr/bin/heyu stop
+       eend $?
+}
+
+restart() {
+       svc_stop
+       sleep 5
+       svc_start
+}
diff --git a/app-misc/heyu/heyu-2.4.0.ebuild b/app-misc/heyu/heyu-2.4.0.ebuild
new file mode 100644 (file)
index 0000000..aa3efd3
--- /dev/null
@@ -0,0 +1,70 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+DESCRIPTION="Utility to control and program CM11A, CM17A and CM12U X10 interfaces."
+HOMEPAGE="http://heyu.tanj.com"
+SRC_URI="http://heyu.tanj.com/download/${P}.tgz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="kernel_Darwin kernel_FreeBSD kernel_linux cm17a dmx210 ext0 ore rfxm rfxs"
+
+src_compile() {
+       mv x10config.sample x10.conf.sample
+       ./Configure                                                     \
+               $(if use kernel_FreeBSD; then echo "freebsd"; fi)       \
+               $(if use kernel_Darwin; then echo "darwin"; fi)         \
+               $(if use kernel_linux; then echo "linux"; fi)           \
+               $(if ! use cm17a; then echo "-nocm17a"; fi)             \
+               $(if ! use dmx210; then echo "-nodmx"; fi)              \
+               $(if ! use ext0; then echo "-noext0"; fi)               \
+               $(if ! use ore; then echo "-noore"; fi)                 \
+               $(if ! use rfxm; then echo "-norfxm"; fi)               \
+               $(if ! use rfxs; then echo "-norfxs"; fi)               \
+               || die "configure failed"
+       sed -i "s/CC\s*=.*/CC = $(tc-getCC)/" "${S}"/Makefile
+       sed -i "s/CFLAGS\s*=.*/CFLAGS = ${CFLAGS} \$(DFLAGS)/" "${S}"/Makefile
+       emake || die "make failed"
+}
+
+src_install() {
+       dobin heyu || die "installing binary failed"
+       doman heyu.1 x10config.5 x10scripts.5 x10sched.5
+       newinitd "${FILESDIR}"/${PVR}/heyu.init heyu
+       diropts -o nobody -g nogroup -m 0777
+       dodir /var/tmp/heyu
+       diropts -o root -g root -m 0744
+       dodir /etc/heyu
+       keepdir /etc/heyu
+       insinto /etc/heyu
+       insopts -o root -g root -m 0644
+       doins x10.conf.sample || die "installing config sample failed"
+       doins x10.sched.sample || die "installing schedule sample failed"
+}
+
+pkg_postinst() {
+       elog
+       elog "Don't forget to tell heyu where to find your CM11 or CM17. Therefore"
+       elog "the file /etc/heyu/x10.conf must contain a line starting with 'TTY'"
+       elog "followed by the corresponding device such as:"
+       elog
+       elog "TTY /dev/ttyS0     <-- on first serial port"
+       elog "TTY /dev/ttyS1     <-- on second serial port"
+       elog "TTY /dev/ttyUSB0   <-- on USB port"
+       elog
+       elog "To use your device on a USB port, the corresponding USB serial converter"
+       elog "kernel module must be loaded. Older CM11 are usually delivered with a"
+       elog "a Prolific 2303 cable (kernel module: pl2303) while newer come with a"
+       elog "FTDI cable (kernel module: ftdi_sio)."
+       elog
+       elog "Execute the following command if you wish to start the HEYU daemon"
+       elog "at boot time:"
+       elog
+       elog "rc-update add heyu default"
+       elog
+       epause 5
+}